VOS_REMSITE(1)

NAME
vos remsite - Removes a read-only site definition from a VLDB entry

SYNOPSIS
vos remsite << -server <machine name >>>
    << -partition <partition name >>> << -id <volume name or ID >>>
    << [-cell <cell name] >>> [-noauth] [-localauth] [-verbose]
    [-help]

vos rems << -s <machine name >>> << -p <partition name >>>
    << -i <volume name or ID >>> << [-c <cell name] >>> [-n] [-l]
    [-v] [-h]

DESCRIPTION
The vos remsite command removes the read-only replication site specified by the -machine and -partition arguments from the Volume Location Database (VLDB) entry for the indicated volume, which is read/write.

This command is useful for removing read-only sites that were mistakenly created with the vos addsite command, before the vos release command actually releases them. If a read-only copy already exists at the site, it is not affected. However, if this read-only site was the last site housing any version of the volume, then the entire VLDB entry is removed, even if a copy of the read-only version still actually exists at the site. The VL Server does not correct the discrepancy until the vos syncserv and vos syncvldb commands are run.

CAUTIONS
Do not use this command as the standard way to remove a read-only volume, because it can create a discrepancy between the VLDB and the volumes on file server machines. Use the vos remove command instead.

OPTIONS

-server <server name>
    Specifies the file server machine portion of the site definition to remove. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the vos(1) manpage.

-partition <partition name>
    Specifies the partition name portion of the site definition to remove. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the vos(1) manpage.

-id <volume name or id>
    Specifies either the complete name or volume ID number of the read/write volume to remove.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the vos(1) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the vos(1) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the vos(1) manpage.

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command removes the mistakenly defined read-only site /viceph on the file server machine fs5.abc.com from the VLDB entry for the volume root.cell.

   % vos remsite -server fs5.abc.com -partition h -id root.cell

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

SEE ALSO
the vos(1) manpage, the vos_delentry(1) manpage, the vos_remove(1) manpage, the vos_zap(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.